
Infrastructure - Bug #3516

Empty search string causes unhandled error in ONEMercury

2013-01-23 21:58 - Skye Roseboom

Status: Closed Start date: 2013-01-23

Priority: Normal Due date: 2013-02-06

Assignee: Skye Roseboom % Done: 100%

Category: d1_mercury Estimated time: 0.00 hour

Target version: 2013.6-Block.1.3   

Milestone: CCI-1.1.1 Story Points:  

Product Version: *   

Description

Although the current UI prevents empty search term, other entry points into ONEMercury (search box on dataone.org) can allow

empty search strings.

Need to handle empty search request gracefully.

History

#1 - 2013-01-24 16:31 - Skye Roseboom

- Status changed from New to In Progress

#2 - 2013-01-24 16:50 - Skye Roseboom

- Status changed from In Progress to Testing

Handling NPE.  Searching on nothing, returns no results.

#3 - 2013-02-19 16:57 - Skye Roseboom

- Status changed from Testing to Closed

Released with v1.1.1 of one-mercury.
